.M-CommercialTeaser__wrapper {
  display: grid;
  grid-template-areas: "image" "text";
  grid-template-columns: auto auto;
  grid-template-rows: auto;
  --background: var(--bosch-gray-95);
  background: var(--background);
}
.M-CommercialTeaser__wrapper .a-list.a-list--dot li::before {
  background-color: currentColor;
}
@media only screen and (min-width: 992px) {
  .M-CommercialTeaser__wrapper {
    grid-template-areas: "image text";
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto;
  }
  .-left .M-CommercialTeaser__wrapper {
    grid-template-areas: "text image";
  }
}
.M-CommercialTeaser__wrapper.-contrast {
  --background: var(--bosch-gray-20);
}
.M-CommercialTeaser__wrapper.-purple {
  --background: var(--major-highlight-purple__enabled__fill__default);
  color: var(--major-highlight-purple__enabled__front__default);
}
.M-CommercialTeaser__wrapper.-blue {
  --background: var(--major-highlight-blue__enabled__fill__default);
  color: var(--major-highlight-blue__enabled__front__default);
}
.M-CommercialTeaser__wrapper.-blue-gradient {
  --background: linear-gradient(to right, var(--bosch-blue-15) 0%, var(--bosch-blue-35) 100%);
  color: var(--major-highlight-blue__enabled__front__default);
}
.M-CommercialTeaser__wrapper.-turquoise {
  --background: var(--major-highlight-turquoise__enabled__fill__default);
  color: var(--major-highlight-turquoise__enabled__front__default);
}
.M-CommercialTeaser__wrapper.-green {
  --background: var(--major-highlight-green__enabled__fill__default);
  color: var(--major-highlight-green__enabled__front__default);
}
.M-CommercialTeaser__wrapper.-blue, .M-CommercialTeaser__wrapper.-blue-gradient, .M-CommercialTeaser__wrapper.-green, .M-CommercialTeaser__wrapper.-turquoise, .M-CommercialTeaser__wrapper.-purple {
  --minor-accent__enabled__front__default: var(--bosch-white);
  --minor-accent__enabled__front__hovered: var(--bosch-white);
}
.M-CommercialTeaser__text {
  grid-area: text;
  padding: 1rem 1rem 1.5rem;
}
.M-CommercialTeaser__text p:last-child {
  margin-bottom: 1rem;
}
@media only screen and (min-width: 768px) {
  .M-CommercialTeaser__text {
    padding: 2rem 2rem 3rem;
  }
}
.M-CommercialTeaser__headline {
  margin-top: 0;
  margin-bottom: 1.5rem;
  font-size: 1.5rem;
  line-height: 1.4;
}
@media only screen and (min-width: 768px) {
  .M-CommercialTeaser__headline {
    font-size: 2rem;
    line-height: 1.35;
  }
}
@media only screen and (min-width: 992px) {
  .M-CommercialTeaser__headline {
    font-size: 2.5rem;
    line-height: 1.3;
  }
}
.M-CommercialTeaser__image {
  grid-area: image;
}
@media only screen and (min-width: 992px) {
  .M-CommercialTeaser__image .A-Image {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
  .M-CommercialTeaser__image .A-Image__figure {
    height: 100%;
  }
  .M-CommercialTeaser__image .A-Image__picture {
    height: 100%;
    position: relative;
    overflow: hidden;
  }
}